> For the complete documentation index, see [llms.txt](https://docs.mongenscave.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mongenscave.com/free-products/playervisibility/plugin-faq.md).

# Plugin FAQ

### Why this plugin and not another one?

* **The Answer Is:** This plugin is very fast, does not cause lag and is developed in a modern environment. There are many innovative features in the plugin such as Folia Support, Hex Color code support and even Custom Model Data support. There are a lot of features in the plugin and it is managed by active developers!

### How does the plugin support multi servers?

* **The Answer Is:** If you use a MySQL database, the plugin will save your players' data and settings. If you have multiple servers (example: multiple Lobby servers) then if someone deletes players and then logs in/joins another lobby server the settings will be preserved and you will not see the players on the Lobby2 server!

```yaml
storage:
  #  driver: h2 / sqlite / mysql
  driver: 'mysql' # Use MySQL
  host: 'database-host'
  port: '3306'
  name: 'database-name'
  username: 'database-username'
  password: 'database-password'

  pool: # HikariCP config (Do not edit if you do not know what it is)
    maximumPoolSize: 10
    minimumIdle: 5
    connectionTimeout: 30000
    maxLifetime: 1800000
    idleTimeout: 600000
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mongenscave.com/free-products/playervisibility/plugin-faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
